<bugID>1382667<Summary>Implement an onBeforeCommand function for CustomizableUI that will run before the command is executed</Summary><Description>Some commands may want to change the appearance of their toolbarbutton before the associated command is executed or view is opened.

With the onBeforeCommand function, the widget will be able to adapt its UI before attributes are set on the button ([open="true"] is set on [type="view"] widgets for example).</Description></bugID>